
Audacious - Feature #980

No option to have window stay on top after upgrade to 4.0

April 25, 2020 13:18 - dln mzny

Status: Closed Start date: April 25, 2020

Priority: Minor Due date:  

Assignee:  % Done: 100%

Category: plugins/skins-qt Estimated time: 0.00 hour

Target version: 4.0.3   

Affects version: 4.0, 4.0.1, 4.0.2   

Description

First off, this is my first post on here and I haven't looked into the source much yet, so I am not sure which category to assign this to.

Sorry :/

Upon upgrading Audacious to 4.0.2, I've noticed that the player (I use the classic Winamp skin) would not stay on top anymore like it

did before. I blamed this on the configuration reset during the upgrade (as the player came up with the modern skin at first) but I

could not find the option to enable stay on top anywhere.

And sure enough after rolling back to 3.10.1, the option is back where it should be in Right click > View > Always on Top.

Could you please re-implement this feature into 4.0.2, or give insight as to why this option was removed?

Best regards

History

#1 - April 25, 2020 18:46 - John Lindgren

- Category set to plugins/skins-qt

- Tracker changed from Bug to Feature

#2 - April 25, 2020 18:49 - John Lindgren

The Qt port of the Winamp Classic interface is missing several features still. As mentioned in the release notes, you can continue to use the GTK2

version for now.

#3 - April 26, 2020 06:25 - Jim Turner

Depending on what window-manager you're using, you may be able to custom-set this there.

Regards,

Jim

#4 - April 27, 2020 03:57 - John Lindgren

- Affects version deleted (4.0.3)

#5 - April 27, 2020 21:07 - Thomas Lange

- File 0001-skins-qt-Implement-stay-on-top.-Closes-980.patch added

@John: Please check the attached patch. I didn't bother about supporting older Qt releases, since 5.9 was released in 2017 already.

#6 - April 27, 2020 21:31 - John Lindgren

Looks good to me.
#7 - April 28, 2020 03:45 - John Lindgren

- % Done changed from 0 to 100

- Target version set to 4.0.3

- Status changed from New to Closed

I went ahead and pushed this to both master and 4.0.x. I also made a slight change to remove the Qt 5.9 requirement (though I haven't actually tested

with and older version either).

Thanks!

Files

0001-skins-qt-Implement-stay-on-top.-Closes-980.patch 2.38 KB April 27, 2020 Thomas Lange
